Namespace
library
Image / Tag
consul:1.8.14
Content Digest
sha256:de55586dfa148aa3d50744e84b4e289a5d65c3b5df0f9321c068b4feea57ee0b
Details
Created

2021-08-31 22:14:49 UTC

Size

44.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.14

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:4ed7d06bd90bc8d13b87220ccc6204a7d235ec943be9fb4289d856f9ff0a5b7b - 6.01% (2.69 MB)

[#001] sha256:5468d433ced1536a68ec7fd147e1755b2840aa42ecdf3db060d98aa2eb82079b - 0.0% (1.23 KB)

[#002] sha256:79188794323eced7bada644238b916f613979beb427df807a5119858f54538e0 - 93.99% (42.1 MB)

[#003] sha256:c376fa18e0dc4c1c9694de369111cbf1bb3209f44fe44ed6d0b78ef40374efc9 - 0.0% (176 Bytes)

[#004] sha256:bcfcca67cef18ff2f7f03a1743b57eec2470f98a253ab22e892b31db2d0208cf - 0.0% (154 Bytes)

[#005] sha256:83e3b7fa8ed845fe77eac517d2d6cae78e99660cfe2b8c17e33382760fa5f986 - 0.0% (1.67 KB)


History
2021-08-31 21:23:28 UTC

/bin/sh -c #(nop) ADD file:fb9d541cffc3a5660d23426ba847aa696b59a9d7f14e00ba0a63b28c9ec272c0 in /

2021-08-31 21:23:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-08-31 22:13:58 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-08-31 22:14:38 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.14

2021-08-31 22:14:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.14

2021-08-31 22:14:38 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-08-31 22:14:39 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-08-31 22:14:46 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-08-31 22:14:47 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-08-31 22:14:48 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-08-31 22:14:48 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-08-31 22:14:48 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-08-31 22:14:48 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-08-31 22:14:49 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-08-31 22:14:49 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-08-31 22:14:49 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-08-31 22:14:49 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-07-23 12:50:45 UTC

Size

45.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.14

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 5.88% (2.68 MB)

[#001] sha256:651a6becf6db5ac5a164c41d3dd004a70f1c83629c8572144a504f6e2544d61a - 0.0% (1.23 KB)

[#002] sha256:c5e97db18dd873140a56a1f621af36ccc0112d173a065419c88fa9cc8df43e9d - 94.11% (42.9 MB)

[#003] sha256:ba3b888f4d8e404f393a4bbed55506b687e5e6ee6041b297346f1a6a9f79bd73 - 0.0% (175 Bytes)

[#004] sha256:8e29ab8e98a79e0f2061c24e17d273c4a409c16cd5e861fb469fbe986ca52e26 - 0.0% (154 Bytes)

[#005] sha256:5af768cc301fecd59f95f514b2fe667d26d0bad7455863282ba1206035176e58 - 0.0% (1.67 KB)


History
2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /

2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-07-23 12:50:34 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.14

2021-07-23 12:50:35 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.14

2021-07-23 12:50:35 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-07-23 12:50:36 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-07-23 12:50:42 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-07-23 12:50:43 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-07-23 12:50:44 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-07-23 12:50:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-07-23 12:50:44 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-07-23 12:50:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-07-23 12:50:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-07-23 12:50:45 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-07-23 12:50:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-07-23 12:50:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-07-30 22:36:30 UTC

Size

41 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.14

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.1% (2.5 MB)

[#001] sha256:bf29b8f4e0427eca3078a8040e7e45d7ea92cc7a13d3bd4fd8b6dfba28e07057 - 0.0% (1.23 KB)

[#002] sha256:42faa7542888fc9d93beb72d01395f7e84626ee233ccc390d4a3251363b08b82 - 93.9% (38.5 MB)

[#003] sha256:1336a42faf29b949a7729e36272c11d56aaf72ecb8bffa4f54507caaf6158304 - 0.0% (173 Bytes)

[#004] sha256:f853e1ff5ff43ab745a05e8865b05c0226661548ffc37af425be8cf44128e14f - 0.0% (155 Bytes)

[#005] sha256:a498025bbdefe7bdae69e081cd3990dc206671a84a33afcd06b36870727270bd - 0.0% (1.67 KB)


History
2021-07-30 17:49:55 UTC

/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /

2021-07-30 17:49:55 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-07-30 22:35:00 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-07-30 22:36:08 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.14

2021-07-30 22:36:08 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.14

2021-07-30 22:36:09 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-07-30 22:36:10 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-07-30 22:36:24 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-07-30 22:36:25 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-07-30 22:36:27 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-07-30 22:36:27 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-07-30 22:36:28 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-07-30 22:36:28 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-07-30 22:36:29 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-07-30 22:36:29 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-07-30 22:36:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-07-30 22:36:30 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-07-23 04:20:11 UTC

Size

41.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.8.14

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.27% (2.59 MB)

[#001] sha256:cd2cc36a972be65ab045851033f56e745ea4f4678929bce70330e8af9769a6de - 0.0% (1.23 KB)

[#002] sha256:98890b27f5655b4e3c19e344c6b9a207eba9ed9001964fe7b3fdc0cbffe2675c - 93.72% (38.6 MB)

[#003] sha256:b94ee3335668307662b7979c8f5823acbe7721dc8ee8ca6aaf811fdbf98aa9f5 - 0.0% (174 Bytes)

[#004] sha256:88ac26ba2e3632a67ccf90d5d45b54ffa2524c9e9cfb7f2c39d98cfc3af61f60 - 0.0% (154 Bytes)

[#005] sha256:4bc5a760885ea0a6fbb9d790eca5c1b90b5def97ab9b489273e8bc37173f4170 - 0.0% (1.67 KB)


History
2021-06-15 21:45:03 UTC

/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /

2021-06-15 21:45:04 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-15 23:25:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-07-23 04:20:02 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.14

2021-07-23 04:20:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.14

2021-07-23 04:20:03 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-07-23 04:20:03 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-07-23 04:20:08 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-07-23 04:20:09 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-07-23 04:20:10 UTC

|1 CONSUL_VERSION=1.8.14 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-07-23 04:20:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-07-23 04:20:10 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-07-23 04:20:11 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-07-23 04:20:11 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-07-23 04:20:11 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-07-23 04:20:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-07-23 04:20:11 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]